Profile list
Documentation for Profile list
Read time 1 minuteLast updated a year ago
Get all profiles for an with optional filters.
<accountserviceid>https://api.multiplay.co.uk/cfp/v1/profile/list
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
profileid | The parameter accepts one or more to profile IDs. If you specify a value for this parameter, the response body only includes information about the provided profile IDs. | Yes |
modid | The parameter accepts one or more mod IDs. If you specify a value for this parameter, the response body only includes information about the profiles associated with the provided mod IDs. | Yes |
game_build | The parameter accepts one or more game builds. If you specify a value for this parameter, the response body only includes information about the profiles associated with the provided game builds. | Yes |
settings | The parameter accepts a boolean value. If set to , each profile includes settings information in the response body. If set to or excluded, no setting information is included in the response body. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
profiles | array | List of profile objects | No |
Profile object
|
|
|
|
|---|---|---|---|
profileid | integer | ID of the profile | No |
gameversionid | integer | ID of the game version connected to this profile | No |
name | string | Name of this profile | No |
modid | integer | ID of the mod connected to this profile | No |
gameid | integer | ID of the game connected to this profile | No |
gametype_identifier | string | Game type identifier of this profile | No |
settings | object | Map containing setting name string to setting value string | No |
fleetid | string | Fleet ID connected to this profile | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/profile/list?accountserviceid=<accountserviceid>&settings=<settings>&game_build=<game_build>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "profiles": [ { "profileid": <profileid>, "gameversionid": <gameversionid>, "name": <name>, "modid": <modid>, "gameid": <gameid>, "gametype_identifier": <gametype_identifier>, "settings": { "setting1": <setting_value>, "setting2": <setting_value>, ... }, "fleetid": <fleetid> }, ... ]}